package com.eogns.board_back.repository;

import org.springframework.data.jpa.repository.JpaRepository;

import com.eogns.board_back.entity.AttendanceEntity;

import java.util.List;

public interface AttendanceRepository extends JpaRepository<AttendanceEntity, Long>{
     // 출근 시간 기록이 없고, 주어진 이메일의 첫 번째 AttendanceEntity를 찾기
     AttendanceEntity findFirstByEmailAndCheckOutTimeIsNull(String email);
    
     // 주어진 이메일로 모든 AttendanceEntity 리스트 찾기
     List<AttendanceEntity> findByEmail(String email);
}