import React from "react";
import "./menuItem.css"; // 스타일을 포함하는 CSS 파일을 import 합니다.

const MenuItem = ({ text, imageSrc, onClick }) => {
  return (
    <div className="header-menu" onClick={onClick}>
      <img className="header-menu-icon" src={imageSrc} alt={`${text}`} />
      {text}
    </div>
  );
};

export default MenuItem;
