import { BoardListItem } from "types/interface";

const top3BoardListMock: BoardListItem[] = [
  {
    boardNumber: 1,
    title: "컬럼의 데이터 타입",
    content:
      "해당 SQL 쿼리에서 발생한 오류는 열(컬럼) 사이에 콤마(,)가 누락되어 발생한 것입니다. SQL에서는 각 열을 나열할 때 반드시 콤마로 구분해야 합니다.",
    boardTitleImage:
      "https://images.pexels.com/photos/2613946/pexels-photo-2613946.jpeg?auto=compress&cs=tinysrgb&dpr=1&w=500",
    favoriteCount: 0,
    commentCount: 0,
    viewCount: 0,
    writeDatetime: "2024.08.26. 00:45:24",
    writerNickname: "사용자1",
    writerProfileImage:
      "https://www.handmk.com/news/photo/202306/16714_40371_5250.jpg",
  },
  {
    boardNumber: 1,
    title: "타이틀1",
    content: "컨텐드",
    boardTitleImage:
      "https://img.freepik.com/free-photo/beautiful-mountains-landscape_23-2150787778.jpg",
    favoriteCount: 23,
    commentCount: 14,
    viewCount: 123,
    writeDatetime: "2024.08.26. 00:45:24",
    writerNickname: "사용자2",
    writerProfileImage: null,
  },
  {
    boardNumber: 1,
    title: "타이틀2",
    content: "컨텐드",
    boardTitleImage:
      "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQDBoH0mwgXeGPFxk-lLZReHVmzNfTKpk7goQ&s",
    favoriteCount: 0,
    commentCount: 0,
    viewCount: 0,
    writeDatetime: "2024.08.26. 00:45:24",
    writerNickname: "사용자3",
    writerProfileImage:
      "https://www.handmk.com/news/photo/202306/16714_40371_5250.jpg",
  },
];

export default top3BoardListMock;
